'''
全局只允许一个实例的办法，
在该电商系统中，全局只有一个数据库连接，使用单例模式确保在整个应用程序内只创建一次数据库连接实例。
'''

class DatabaseConnection:
    _instance = None

    def __new__(cls):
        if not cls._instance:
            cls._instance = super().__new__(cls)
            cls._instance.connect_to_db()
        return cls._instance

    def connect_to_db(self):
        # 连接到数据库的代码...
        pass